Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex
Class Writer2XHTML

    java.lang.Object
      writer2latex.Writer2XHTML

    public class Writer2XHTML

extends java.lang.Object

Commandline utility to convert an OpenOffice.org Writer XML file into XHTML/LaTeX/BibTeX

The utility is invoked with the following command line:

    java -jar writer2latex.jar [options] source [target]

Where the available options are

- `-latex`, `-bibtex`, `-xhtml`, `-xhtml+mathml`, `-xhtml+mathml+xsl`
- `-recurse`
- `-config[=]filename`
- `-template[=]filename`
- `-option[=]value`

where `option` can be any simple option known to Writer2LaTeX (see documentation for the configuration file).

Field Summary
`(package private) boolean` | `bBatch`
`private boolean` | `bRecurse`
`private Config` | `config`
`private static java.lang.String` | `DATE`
`(package private) L10n` | `l10n`
`private java.util.Hashtable` | `options`
`private java.lang.String` | `sConfigFileName`
`(package private) java.lang.String` | `sDefaultCountry`
`(package private) java.lang.String` | `sDefaultLang`
`private java.lang.String` | `sOutFileExtension`
`private java.lang.String` | `sOutFileName`
`private java.lang.String` | `sOutPathName`
`private java.lang.String` | `sOutputFormat`
`private java.lang.String` | `sSource`
`private java.lang.String` | `sTarget`
`private java.lang.String` | `sTargetMIME`
`private java.lang.String` | `sTemplateFileName`
`private XhtmlDocument` | `template`
`private byte[]` | `templateBytes`
`private static java.lang.String` | `VERSION`

Constructor Summary
`Writer2XHTML()`

Method Summary
`private void` | `convertDirectory(java.io.File dir, java.lang.String sOutPathName)`
`private java.lang.String` | `convertFile(java.io.File file, java.lang.String sOutPathName)`
`void` | `doConversion()`
`static java.lang.String` | `getDate()`
`static java.lang.String` | `getVersion()`
`void` | `setsOutFileExtension(java.lang.String ofe)`
`void` | `setsOutFileName(java.lang.String ofn)`
`void` | `setsOutPathName(java.lang.String opn)`
`void` | `setsOutputFormat(java.lang.String of)`
`void` | `setsSource(java.lang.String source)`
`void` | `setTargetMime(java.lang.String tm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    private static java.lang.String VERSION

### DATE

    private static java.lang.String DATE

### sTargetMIME

    private java.lang.String sTargetMIME

### bRecurse

    private boolean bRecurse

### sConfigFileName

    private java.lang.String sConfigFileName

### sTemplateFileName

    private java.lang.String sTemplateFileName

### options

    private java.util.Hashtable options

### sSource

    private java.lang.String sSource

### sTarget

    private java.lang.String sTarget

### sOutputFormat

    private java.lang.String sOutputFormat

### sOutPathName

    private java.lang.String sOutPathName

### sOutFileName

    private java.lang.String sOutFileName

### sOutFileExtension

    private java.lang.String sOutFileExtension

### templateBytes

    private byte[] templateBytes

### template

    private XhtmlDocument template

### config

    private Config config

### l10n

    L10n l10n

### bBatch

    boolean bBatch

### sDefaultLang

    java.lang.String sDefaultLang

### sDefaultCountry

    java.lang.String sDefaultCountry

Constructor Detail

### Writer2XHTML

    public Writer2XHTML()

Method Detail

### getVersion

    public static java.lang.String getVersion()

### getDate

    public static java.lang.String getDate()

### setsOutputFormat

    public void setsOutputFormat(java.lang.String of)

### setsOutFileExtension

    public void setsOutFileExtension(java.lang.String ofe)

### setTargetMime

    public void setTargetMime(java.lang.String tm)

### setsSource

    public void setsSource(java.lang.String source)

### setsOutPathName

    public void setsOutPathName(java.lang.String opn)

### setsOutFileName

    public void setsOutFileName(java.lang.String ofn)

### doConversion

    public void doConversion()

### convertFile

    private java.lang.String convertFile(java.io.File file,
                                         java.lang.String sOutPathName)

### convertDirectory

    private void convertDirectory(java.io.File dir,
                                  java.lang.String sOutPathName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD